ng-messages ng-message,
ng-messages div {
    color: red;
}

.fixed-resize {
    resize: none;
}

.auth {
    width:  100%;
    height: 100%;
    position: absolute;
}

.nav-tabs  li > a,
.nav-tabs  li > a:hover {
  color: #333;
}

.pusher-title {
   word-wrap: break-word; 
   max-width: 90%;
}

.nav-tabs  li.active > a,
.nav-tabs  li.active > a:hover {
  background-color: white !important;
  border-radius: 0px !important;
  border: none !important;
  border-top: 3px solid #3dd5d8 !important;
}


.usd-span {
  font-size: 18px;
  padding-right: 5px;
}

.usd-padding {
  padding-left: 18px;
}

.default-image {
    margin-left: calc(50% - 15px);
    width: 30px;
    height: 30px;
    background-color: grey;
}

.auth-page {
    width: 100%;
    display: flex;
    min-height: 900px;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    height: calc(100% - 70px);
    background: url("../images/background.jpg");
    background-size: cover;
}

.auth-navigation {
    width: 100%;
    min-height: 70px;
    color: white;
    opacity: 0.75;
    display: flex;
    font-size: 14px;
    background: black;
    flex-direction: row;
    align-items: center;
    flex-wrap: wrap;
}

.auth-navigation ul {
    display: flex;
    margin: 0px;
    padding: 0px;
    list-style: none;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;

    padding-left: 250px;
    width: calc(100% - 250px);
}

@media screen and (max-width: 1150px) {
    .auth-navigation ul {
        width: 100%;
        padding-left: 0px;
    }

    .auth-navigation label {
        width: 100%;
    }
}

.auth-navigation ul > li {
    margin: 25px;
}

.auth-logo {
    width: 250px;
    height: 142px;
    margin: 18px auto;
    background-size: 100%;
    background-image: url("../images/logo.png");
}

.auth-dialog {
    color: white;
    width: 440px;
    height: 630px;
    display: flex;
    flex-direction: column;
    border-radius: 6px;
    font-size: 15px;
    font-family: 'Open Sans';
    background-color: #29659A;
    padding: 15px 45px 0px 45px;
}

.auth-form {
    width: 310px;
    margin: 0px 20px;
}

.auth-form input {
    color: black;
}

.auth-form ng-messages div{
    color: #8B0000;
}
.auth-form button {
    background: rgb(20, 157, 71);
}

.auth-form button:hover,
.auth-form button:focus {
    color: white ;
}

.auth-dialog  h2 {
    font-size: 21px;
    text-transform: uppercase;
}

.auth-dialog  p {
    font-size: 15px;
}

.auth-dialog  a {
    color: white;
    margin-top: 5px;
    font-weight: bold;
    text-decoration: underline;
}

.auth-dialog  h2,
.auth-dialog  p,
.auth-dialog  span {
    opacity: 0.75;
}

@media screen and (max-width: 475px) {
  .auth-dialog {
    width:     300px;
    font-size: 13px;
    padding:   15px 5px 0px 5px;
  }

  .auth-form {
    width: 250px;
    margin: 0px 20px;
  }
}

/*ng-file drop*/
.shop-upload-nav a {
    margin: 0px 10px;
}

#gridBlockingHistory .ui-grid-row {
  height: auto!important;
}

#gridBlockingHistory .ui-grid-row > div {
  display: table-row;
}

#gridBlockingHistory .ui-grid-row > div .ui-grid-cell {
  display: table-cell;
  float: none;
  vertical-align: middle;
  height: auto!important;
}

#gridBlockingHistory .ui-grid-cell-contents {
  white-space: normal;
  text-overflow: inherit;
  word-break: break-word;
}

.panel-heading {
    height: 50px;
}

.uib-datepicker-popup.dropdown-menu .uib-button-bar button{
    margin: 8px;
}

.uib-datepicker-popup.dropdown-menu .uib-button-bar .uib-datepicker-current{
    border-top-right-radius: 4px !important;
    border-bottom-right-radius: 4px !important;
}

.uib-datepicker-popup.dropdown-menu .uib-button-bar .uib-clear{
    border-top-left-radius: 4px !important;
    border-bottom-left-radius: 4px !important;
}

.category-name {
    word-wrap: break-word;
    display: block;
    padding: 0px 2px;
}

.category-navigation button {
    float: right;
    margin: 3px 2px;
}

.category-image {
    width: 30px;
    height: 30px;
    margin: 0px 5px;
}

@media all and (max-width: 1375px) {
    .grid-nav-button i{
        display: none;
    }
}

@media all and (max-width: 1175px) {
    .grid-nav-button i{
        display: block;
    }

    .grid-nav-button span{
        display: none;
    }
}

.img-drop-box {
    position: relative;
    background: #F8F8F8;
    border: 5px dashed #DDD;
    width: 150px;
    height: 150px;
    text-align: center;
    cursor: pointer;
    box-sizing: content-box;
}

.img-drop-box span {
    position: absolute;
    top: 50%;
    left: 0;
    right: 0;
    transform: translateY(-50%);
}

.dragover {
    border: 5px dashed blue;
}

.img-preview {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    width: 150px;
    height: 150px;
    text-align: center;
    background: #fff;
    border: 1px solid #ccc;
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
}

/*ui-select*/
.ui-select-multiple.ui-select-bootstrap .ui-select-match-item {
    background: #2f4050;
}

.ui-select-multiple.ui-select-bootstrap .ui-select-match .close {
    color: #fff;
    opacity: 0.8;
    line-height: 0.8em;
}

.ui-select-multiple.ui-select-bootstrap {
    padding: 5px 3px 1px;
}

/*datepicker buttons*/
.uib-datepicker .btn-default {
    background: transparent;
    color: #222;
}

.uib-datepicker .btn-default.active {
    background: #21b9bb;
    border-color: #21b9bb;
    color: #fff;
}

.pcursor {
    cursor: pointer;
}

.createAdvertisementModal table tr {
    cursor: pointer;
}

/*map*/
.angular-google-map-container {
    height: 170px;
}

.height-transition {
    transition: height 250ms ease-in-out 0ms;
}

.ui-grid-top-panel {
    background: white;
}

.ui-grid-header-cell {
    border: none;
}

.ui-grid {
    border: none;
}

.ui-grid-cell {
    padding-top: 2px;
    border: none;
}

.ui-grid-sort-priority-number {
    font-size: 0 !important;
}

.ui-select-match-text{
    max-width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
    padding-right: 10px;
}

.ui-select-toggle > .btn.btn-link {
    margin-right: 10px;
    top: 6px;
    position: absolute;
    right: 10px;
}

span[uis-transclude-append] > span {
    white-space: normal;
}

.ui-select-match-item{
    max-width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
}

.adminUpdate-Check {
    display: flex;
    align-items: center;
    flex-direction: row;
}
.adminUpdate-Check  > input[type="checkbox"] {
    margin-top: 0px !important;
}
.adminUpdate-Check  > label {
    margin: 13px 10px;
}

.ibox-title-large {
    height: 110px;
}


.ibox-title-items {
    min-height: 150px;
}

@media screen and (min-width: 768px) {
    .navbar-fixed {
        position: fixed;
        width: 220px;
    }
}
